Skip to main content

GET Strategy

Get NinjaScript strategy by ID NT8​

Returns current details for a single NinjaScript strategy (a .cs Strategy class compiled into NinjaTrader.Custom.dll) attached to the named account.

Endpoint​

GET /v1/api/accounts/{account}/strategies/{strategyId}

Headers​

NameValue
Content-Typeapplication/json
AuthorizationBearer <token>

Path parameters​

NameTypeRequiredDescription
accountstringRequiredName of account in NT8
strategyIdstringRequiredID of the strategy

Code examples​

import requests

token = 'my-secret-token'

url = "https://app.crosstrade.io/v1/api/accounts/Sim101/strategies/334081921"
headers = {
"Authorization": f"Bearer {token}",
"Content-Type": "application/json"
}

try:
response = requests.get(url, headers=headers)
print(f"Response Code: {response.status_code}, Response Text: {response.text}")
except Exception as e:
print(f"An error occurred: {e}")

Response​

{
"id": "334081921",
"account": "Sim101",
"strategyName": "AtmStrategy",
"displayName": "crosstrade - 1",
"position": "Long",
"quantity": 1,
"averagePrice": 5804.75,
"unrealizedPnl": -37.5,
"success": true
}

Platform nuances​

NinjaScript strategies are not ATM (Advanced Trade Management) strategies. ATM strategies are predefined order management templates queried via GET ATM Templates.

WebSocket API​

This request can also be made over the WebSocket API. The account and strategyId path parameters are passed inside args.

{
"action": "rpc",
"id": "my-request-id",
"api": "GetStrategy",
"args": {
"account": "Sim101",
"strategyId": "my-strategy-id"
}
}